Loading...
Searching...
No Matches
apr_portable.h File Reference

APR Portability Routines. More...

`#include "apr.h"`
`#include "apr_pools.h"`
`#include "apr_thread_proc.h"`
`#include "apr_file_io.h"`
`#include "apr_network_io.h"`
`#include "apr_errno.h"`
`#include "apr_global_mutex.h"`
`#include "apr_proc_mutex.h"`
`#include "apr_time.h"`
`#include "apr_dso.h"`
`#include "apr_shm.h"`
Include dependency graph for apr_portable.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | apr_os_proc_mutex_t
struct | apr_os_sock_info_t

## Macros

#define | apr_os_global_mutex_t apr_os_proc_mutex_t
#define | apr_os_global_mutex_get apr_os_proc_mutex_get

## Typedefs

typedef int | apr_os_file_t
typedef DIR | apr_os_dir_t
typedef int | apr_os_sock_t
typedef struct apr_os_proc_mutex_t | apr_os_proc_mutex_t
typedef pid_t | apr_os_proc_t
typedef struct timeval | apr_os_imp_time_t
typedef struct tm | apr_os_exp_time_t
typedef void * | apr_os_dso_handle_t
typedef void * | apr_os_shm_t
typedef struct apr_os_sock_info_t | apr_os_sock_info_t
| alias for local OS socket

## Functions

apr_status_t | apr_os_file_get (apr_os_file_t *thefile, apr_file_t *file)
apr_status_t | apr_os_dir_get (apr_os_dir_t **thedir, apr_dir_t *dir)
apr_status_t | apr_os_sock_get (apr_os_sock_t *thesock, apr_socket_t *sock)
apr_status_t | apr_os_proc_mutex_get (apr_os_proc_mutex_t *ospmutex, apr_proc_mutex_t *pmutex)
apr_status_t | apr_os_proc_mutex_get_ex (apr_os_proc_mutex_t *ospmutex, apr_proc_mutex_t *pmutex, apr_lockmech_e *mech)
apr_status_t | apr_os_exp_time_get (apr_os_exp_time_t **ostime, apr_time_exp_t *aprtime)
apr_status_t | apr_os_imp_time_get (apr_os_imp_time_t **ostime, apr_time_t *aprtime)
apr_status_t | apr_os_shm_get (apr_os_shm_t *osshm, apr_shm_t *shm)
apr_status_t | apr_os_thread_get (apr_os_thread_t **thethd, apr_thread_t *thd)
apr_status_t | apr_os_threadkey_get (apr_os_threadkey_t *thekey, apr_threadkey_t *key)
apr_status_t | apr_os_thread_put (apr_thread_t **thd, apr_os_thread_t *thethd, apr_pool_t *cont)
apr_status_t | apr_os_threadkey_put (apr_threadkey_t **key, apr_os_threadkey_t *thekey, apr_pool_t *cont)
apr_os_thread_t | apr_os_thread_current (void)
int | apr_os_thread_equal (apr_os_thread_t tid1, apr_os_thread_t tid2)
apr_status_t | apr_os_file_put (apr_file_t **file, apr_os_file_t *thefile, apr_int32_t flags, apr_pool_t *cont)
apr_status_t | apr_os_pipe_put (apr_file_t **file, apr_os_file_t *thefile, apr_pool_t *cont)
apr_status_t | apr_os_pipe_put_ex (apr_file_t **file, apr_os_file_t *thefile, int register_cleanup, apr_pool_t *cont)
apr_status_t | apr_os_dir_put (apr_dir_t **dir, apr_os_dir_t *thedir, apr_pool_t *cont)
apr_status_t | apr_os_sock_put (apr_socket_t **sock, apr_os_sock_t *thesock, apr_pool_t *cont)
apr_status_t | apr_os_sock_make (apr_socket_t **apr_sock, apr_os_sock_info_t *os_sock_info, apr_pool_t *cont)
apr_status_t | apr_os_proc_mutex_put (apr_proc_mutex_t **pmutex, apr_os_proc_mutex_t *ospmutex, apr_pool_t *cont)
apr_status_t | apr_os_proc_mutex_put_ex (apr_proc_mutex_t **pmutex, apr_os_proc_mutex_t *ospmutex, apr_lockmech_e mech, int register_cleanup, apr_pool_t *cont)
apr_status_t | apr_os_imp_time_put (apr_time_t *aprtime, apr_os_imp_time_t **ostime, apr_pool_t *cont)
apr_status_t | apr_os_exp_time_put (apr_time_exp_t *aprtime, apr_os_exp_time_t **ostime, apr_pool_t *cont)
apr_status_t | apr_os_shm_put (apr_shm_t **shm, apr_os_shm_t *osshm, apr_pool_t *cont)
apr_status_t | apr_os_dso_handle_put (apr_dso_handle_t **dso, apr_os_dso_handle_t thedso, apr_pool_t *pool)
apr_status_t | apr_os_dso_handle_get (apr_os_dso_handle_t *dso, apr_dso_handle_t *aprdso)
const char * | apr_os_default_encoding (apr_pool_t *pool)
const char * | apr_os_locale_encoding (apr_pool_t *pool)

## Detailed Description

APR Portability Routines.